Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class ValueSuffix

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.ValueSuffix

Direct Known Subclasses:
  ArraySuffix

    public abstract class ValueSuffix

extends Object

Represents an element that can appear as a suffix in a complex value, such as a property or index operator, or a method call (should they ever need to be supported).

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group, Shawn Bayern

Constructor Summary
`ValueSuffix()`

Method Summary
`abstract Object` | `evaluate(Object pValue, Object pContext, VariableResolver pResolver, Map functions, String defaultPrefix, Logger pLogger)` Evaluates the expression in the given context, operating on the given value.
`abstract String` | `getExpressionString()` Returns the expression in the expression language syntax

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueSuffix

    public ValueSuffix()

Method Detail

### getExpressionString

    public abstract String getExpressionString()

  Returns the expression in the expression language syntax

### evaluate

    public abstract Object evaluate(Object pValue,
                                    Object pContext,
                                    VariableResolver pResolver,
                                    Map functions,
                                    String defaultPrefix,
                                    Logger pLogger)
                             throws ELException

  Evaluates the expression in the given context, operating on the given value.

  Throws:
    `ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.